#ifndef GLASS_EVENT_LOOP_H
#define GLASS_EVENT_LOOP_H


#ifdef	__cplusplus
extern "C" {
#endif

#include <gdk/gdk.h>

typedef void (* GevlHookFunction)(GdkEvent * event, void * data);
typedef void * GevlHookRegistration;

void glass_evloop_initialize();
void glass_evloop_finalize();
void glass_evloop_call_hooks(GdkEvent * event);

GevlHookRegistration glass_evloop_hook_add(GevlHookFunction hookFn,
                                           void * data);
void glass_evloop_hook_remove(GevlHookRegistration hookReg);



#ifdef	__cplusplus
}
#endif

#endif
